> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Member Admin

> Generates a magic link to a portal used by employees to view and manage their benefits. Magic links can be embedded directly into your product via iFrame.



## OpenAPI

````yaml post /components/member
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /components/member:
    post:
      tags:
        - components
      description: >-
        Generates a magic link to a portal used by employees to view and manage
        their benefits. Magic links can be embedded directly into your product
        via iFrame.
      operationId: components_member_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberComponent'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MemberComponent'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MemberComponent'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberComponent'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    MemberComponent:
      type: object
      properties:
        member:
          type: string
      required:
        - member
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````